#!/bin/bash

## Purpose: Processing positional parameters

while (( ${#} > 0 )) ; do
   case "${1}" in

      ## script option: -h
      -h) echo "${1}: This option is for HELP"  ;;

      ## script option: -i + argument
      -i) echo "${1}: This option contains the argument ${2}"
          shift ;;
      
      ## default
       *) echo "${1}: This is non-defined PP"   ;;
   esac
   ## Shifting positional parameter one to the left: $1 <-- $2 <-- $3
   shift
done
