#!/bin/bash

## Purpose: Phony binary producing stout and sterr

## Defaults
date_opt="+%Y-%m-%d_%H:%M:%S" ## user defined date output string

## Function: Modified printf starting each line with:
##           name of binary and date
my_printf(){
   local file_descriptor=${2:-1}
   if [[ ${file_descriptor} -eq 2 ]] ; then
      printf "%s: %s: %s\n" "${0}" "$(date ${date_opt})" "${1}" 1>&2
   else
      printf "%s: %s: %s\n" "${0}" "$(date ${date_opt})" "${1}"
   fi
}

## Main section
my_printf "Start"
my_printf "Phony stderr message" "2"
my_printf "Phony stdout message"
my_printf "End"
