#!/bin/bash

## Purpose: Print all positional parameters (PP)
##          and show difference using ${@} and ${*}

## Print all parameters
echo "Number of positional parameters (PP): ${#}"
echo 'List of PP via "${@}"'
i=1
for PP in "${@}" ; do
   printf "%3.3s.PP: %s\n" "${i}" "${PP}" 
   let i+=1
done
echo 'List of PP via "${*}"'
i=1
for PP in "${*}" ; do
   printf "%3.3s.PP: %s\n" "${i}" "${PP}"
   let i+=1
done
